aboutsummaryrefslogtreecommitdiffstats
path: root/community/py3-qtwebengine/APKBUILD
blob: 1f5ec320f07339663786f877bee9d4fa40330160 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
# Maintainer: Drew DeVault <sir@cmpwn.com>
pkgname=py3-qtwebengine
pkgver=5.15.1
pkgrel=0
pkgdesc="Python 3 bindings for QtWebEngine"
url="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
# mips, ppc64le, s390x: not supported
arch="all !ppc64le !s390x !armhf !mips !mips64" # armhf blocked by py3-qt5 -> qt5-qtdeclarative
license="GPL-2.0-or-later"
depends="python3"
makedepends="python3-dev py3-qt5 qt5-qtwebengine-dev py-sip-dev"
source="https://pypi.python.org/packages/source/P/PyQtWebEngine/PyQtWebEngine-$pkgver.tar.gz"
builddir="$srcdir"/PyQtWebEngine-"$pkgver"

build() {
	python3 configure.py \
		--qmake /usr/lib/qt5/bin/qmake \
		--sip /usr/bin/sip \
		--sipdir /usr/share/sip/PyQt5
	make
}

check() {
	make check
}

package() {
	make -j1 DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install
}

sha512sums="1efbea43bfd4a6de1c7aa2ab2ca124c4278b6b7ea0d6073c64a7ad83df676759d0747421cae5214017e3c61d8edddf9766f93660e13eee5d407a24fd11d8c21f  PyQtWebEngine-5.15.1.tar.gz"